## org.eclipse.datatools.connectivity.oda
Interface IParameterRowSet

All Superinterfaces:
  IResultSet

public interface IParameterRowSet
extends IResultSet

An optional interface that represents complex data type objects such as structures and tables.

The interface applies only if the ODA driver supports the use of complex input and/or output parameters. A structure can be represented by an IParameterRowSet object with one row. This interface is used to represent complex parameter data values. A complex parameter's metadata can be obtained from its inherited getMetaData() method.

A row set column may be referenced by name or position.
The case-sensitivity of a name is implementation-dependent. All indices in this interface are 1-based.

Method Summary
`boolean` `absolute(int rowIndex)` Moves the cursor to the designated row number.
`int` `add()` Appends a new row to the end of this collection and moves the cursor to the new row's position.
`void` `clear()` Removes all of the elements from this collection.
`boolean` `isEmpty()` Determines whether this does not contain any elements.
`boolean` `previous()` Moves the cursor up one element from its current position.
`void` `setBigDecimal(int columnIndex, java.math.BigDecimal value)` Sets the decimal value at the designated column.
`void` `setBigDecimal(java.lang.String columnName, java.math.BigDecimal value)` Sets the decimal value at the designated column.
`void` `setDate(int columnIndex, java.sql.Date value)` Sets the date value at the designated column.
`void` `setDate(java.lang.String columnName, java.sql.Date value)` Sets the date value at the designated column.
`void` `setDouble(int columnIndex, double value)` Sets the double value at the designated column.
`void` `setDouble(java.lang.String columnName, double value)` Sets the double value at the designated column.
`void` `setInt(int columnIndex, int value)` Sets the integer value at the designated column.
`void` `setInt(java.lang.String columnName, int value)` Sets the integer value at the designated column.
`void` `setString(int columnIndex, java.lang.String value)` Sets the string value at the designated column.
`void` `setString(java.lang.String columnName, java.lang.String value)` Sets the string value at the designated column.
`void` `setTime(int columnIndex, java.sql.Time value)` Sets the time value at the designated column.
`void` `setTime(java.lang.String columnName, java.sql.Time value)` Sets the time value at the designated column.
`void` `setTimestamp(int columnIndex, java.sql.Timestamp value)` Sets the time stamp value at the designated column.
`void` `setTimestamp(java.lang.String columnName, java.sql.Timestamp value)` Sets the time stamp value at the designated column.
`int` `size()` Returns the number of elements in this collection.

Methods inherited from interface org.eclipse.datatools.connectivity.oda.IResultSet
`close, findColumn, getBigDecimal, getBigDecimal, getBlob, getBlob, getClob, getClob, getDate, getDate, getDouble, getDouble, getInt, getInt, getMetaData, getRow, getString, getString, getTime, getTime, getTimestamp, getTimestamp, next, setMaxRows, wasNull`

Method Detail

### absolute

    public boolean absolute(int rowIndex)
                     throws OdaException

  Moves the cursor to the designated row number.

  Parameters:
    `rowIndex` - the row number (1-based).
  Returns:
    true, if cursor is moved successfully to the desired row.
  Throws:
    `OdaException` - if data source error occurs.

### previous

    public boolean previous()
                     throws OdaException

  Moves the cursor up one element from its current position.
  An optional method.

  Returns:
    true, if the cursor is moved successfully to a valid row.
  Throws:
    `OdaException` - if data source error occurs.

### add

    public int add()
            throws OdaException

  Appends a new row to the end of this collection and moves the cursor to the new row's position.
  Only required for input parameters.

  Returns:
    0 if this failed to add a new row. Otherwise, the rowIndex of the new row.
  Throws:
    `OdaException` - if data source error occurs.

### clear

    public void clear()
               throws OdaException

  Removes all of the elements from this collection.
  An optional method.

  Throws:
    `OdaException` - if data source error occurs.

### isEmpty

    public boolean isEmpty()
                    throws OdaException

  Determines whether this does not contain any elements.

  Returns:
    true, if this is empty.
  Throws:
    `OdaException` - if data source error occurs.

### size

    public int size()
             throws OdaException

  Returns the number of elements in this collection.

  Returns:
    size of this collection.
  Throws:
    `OdaException` - if data source error occurs.

### setInt

    public void setInt(int columnIndex,
                       int value)
                throws OdaException

  Sets the integer value at the designated column.

  Parameters:
    `columnIndex` - index of the column.
    `value` - the integer value.
  Throws:
    `OdaException` - if data source error occurs.

### setInt

    public void setInt(java.lang.String columnName,
                       int value)
                throws OdaException

  Sets the integer value at the designated column.

  Parameters:
    `columnName` - name of the column.
    `value` - the integer value.
  Throws:
    `OdaException` - if data source error occurs.

### setDouble

    public void setDouble(int columnIndex,
                          double value)
                   throws OdaException

  Sets the double value at the designated column.

  Parameters:
    `columnIndex` - index of the column.
    `value` - the double value.
  Throws:
    `OdaException` - if data source error occurs.

### setDouble

    public void setDouble(java.lang.String columnName,
                          double value)
                   throws OdaException

  Sets the double value at the designated column.

  Parameters:
    `columnName` - name of the column.
    `value` - the double value.
  Throws:
    `OdaException` - if data source error occurs.

### setBigDecimal

    public void setBigDecimal(int columnIndex,
                              java.math.BigDecimal value)
                       throws OdaException

  Sets the decimal value at the designated column.

  Parameters:
    `columnIndex` - index of the column.
    `value` - the decimal value.
  Throws:
    `OdaException` - if data source error occurs.

### setBigDecimal

    public void setBigDecimal(java.lang.String columnName,
                              java.math.BigDecimal value)
                       throws OdaException

  Sets the decimal value at the designated column.

  Parameters:
    `columnName` - name of the column.
    `value` - the decimal value.
  Throws:
    `OdaException` - if data source error occurs.

### setString

    public void setString(int columnIndex,
                          java.lang.String value)
                   throws OdaException

  Sets the string value at the designated column. An ODA runtime driver may or may not support setString() on a non-String type column. The format of the string parameter is implementation-dependent.

  Parameters:
    `columnIndex` - index of the column.
    `value` - the string value.
  Throws:
    `OdaException` - if data source error occurs.

### setString

    public void setString(java.lang.String columnName,
                          java.lang.String value)
                   throws OdaException

  Sets the string value at the designated column. An ODA runtime driver may or may not support setString() on a non-String type column. The format of the string parameter is implementation-dependent.

  Parameters:
    `columnName` - name of the column.
    `value` - the string value.
  Throws:
    `OdaException` - if data source error occurs.

### setDate

    public void setDate(int columnIndex,
                        java.sql.Date value)
                 throws OdaException

  Sets the date value at the designated column.

  Parameters:
    `columnIndex` - index of the column.
    `value` - the java.sql.Date value.
  Throws:
    `OdaException` - if data source error occurs.

### setDate

    public void setDate(java.lang.String columnName,
                        java.sql.Date value)
                 throws OdaException

  Sets the date value at the designated column.

  Parameters:
    `columnName` - name of the column.
    `value` - the java.sql.Date value.
  Throws:
    `OdaException` - if data source error occurs.

### setTime

    public void setTime(int columnIndex,
                        java.sql.Time value)
                 throws OdaException

  Sets the time value at the designated column.

  Parameters:
    `columnIndex` - index of the column.
    `value` - the java.sql.Time value.
  Throws:
    `OdaException` - if data source error occurs.

### setTime

    public void setTime(java.lang.String columnName,
                        java.sql.Time value)
                 throws OdaException

  Sets the time value at the designated column.

  Parameters:
    `columnName` - name of the column.
    `value` - the java.sql.Time value.
  Throws:
    `OdaException` - if data source error occurs.

### setTimestamp

    public void setTimestamp(int columnIndex,
                             java.sql.Timestamp value)
                      throws OdaException

  Sets the time stamp value at the designated column.

  Parameters:
    `columnIndex` - index of the column.
    `value` - the java.sql.Timestamp value.
  Throws:
    `OdaException` - if data source error occurs.

### setTimestamp

    public void setTimestamp(java.lang.String columnName,
                             java.sql.Timestamp value)
                      throws OdaException

  Sets the time stamp value at the designated column.

  Parameters:
    `columnName` - name of the column.
    `value` - the java.sql.Timestamp value.
  Throws:
    `OdaException` - if data source error occurs.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.